Package org.drinkless.tdlib

# Class TdApi.ChatRevenueStatistics

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatRevenueStatistics

Enclosing class:
  TdApi

public static class TdApi.ChatRevenueStatistics extends TdApi.Object
A detailed statistics about revenue earned from sponsored messages in a chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ChatRevenueAmount`
  `revenueAmount`
  Amount of earned revenue.
  `TdApi.StatisticalGraph`
  `revenueByHourGraph`
  A graph containing amount of revenue in a given hour.
  `TdApi.StatisticalGraph`
  `revenueGraph`
  A graph containing amount of revenue.
  `double`
  `usdRate`
  Current conversion rate of the cryptocurrency in which revenue is calculated to USD.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatRevenueStatistics()`
  A detailed statistics about revenue earned from sponsored messages in a chat.
  `ChatRevenueStatistics(TdApi.StatisticalGraph revenueByHourGraph, TdApi.StatisticalGraph revenueGraph, TdApi.ChatRevenueAmount revenueAmount, double usdRate)`
  A detailed statistics about revenue earned from sponsored messages in a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### revenueByHourGraph

    public TdApi.StatisticalGraph revenueByHourGraph
    A graph containing amount of revenue in a given hour.

  - ### revenueGraph

    public TdApi.StatisticalGraph revenueGraph
    A graph containing amount of revenue.

  - ### revenueAmount

    public TdApi.ChatRevenueAmount revenueAmount
    Amount of earned revenue.

  - ### usdRate

    public double usdRate
    Current conversion rate of the cryptocurrency in which revenue is calculated to USD.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatRevenueStatistics

    public ChatRevenueStatistics()
    A detailed statistics about revenue earned from sponsored messages in a chat.

  - ### ChatRevenueStatistics

    public ChatRevenueStatistics(TdApi.StatisticalGraph revenueByHourGraph, TdApi.StatisticalGraph revenueGraph, TdApi.ChatRevenueAmount revenueAmount, double usdRate)
    A detailed statistics about revenue earned from sponsored messages in a chat.
    Parameters:
      `revenueByHourGraph` - A graph containing amount of revenue in a given hour.
      `revenueGraph` - A graph containing amount of revenue.
      `revenueAmount` - Amount of earned revenue.
      `usdRate` - Current conversion rate of the cryptocurrency in which revenue is calculated to USD.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR